blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
efe461bfd00ec3382db6ba69d337945a84aafde4
Shell
kaHaleMaKai/private-ansible
/roles/bin/files/toggle-audio
UTF-8
846
3.265625
3
[]
no_license
#!/bin/bash set -euo pipefail NEW_STATE="${1:-toggle}" is-muted() { control="$1" amixer sget "$control" \ | grep '\[off\]' &>/dev/null } headphones-connected() { sed -n '/^Node 0x02/,+6p' /proc/asound/card0/codec\#0 \ | grep 'val.*0x00 0x00' &>/dev/null } get-output-device() { headphones-connected \ ...
true
ee8b89dcb1da69888ecb00131c860b4a6346a2b4
Shell
alokjani/heat-lib
/lib/software-configs/ubuntu/scripts/disable_selinux/configure.sh
UTF-8
454
3.546875
4
[ "Apache-2.0" ]
permissive
#!/bin/bash CMD=`which setenforce` trap 'echo "Failed" > $heat_outputs_path.status; exit;' ERR if [ -z $CMD ]; then echo "Selinux was not enabled on this system or the utils used to manage it are not available" > $heat_outputs_path.status exit 0 fi # Disable Selinux setenforce 0 # Make the change persistent...
true
2770802395d064ece6fc96cbc2fe96ca3f528cc4
Shell
mrossinek/notewarrior
/system.sh
UTF-8
2,608
3.9375
4
[ "MIT" ]
permissive
# usage info usage() { _usage "note <${COMMANDS}>" echo "Use note <command> [help|usage] to find out more about a specific command." echo "Alternatively 'note usage commands' prints the help info for all commands" echo "and 'note usage config' prints the help info for possible configuratio options." ...
true
fe966cb0e44075bee2f6ed66d9a89d1744b2a801
Shell
nwilliam868/AutoBassTab
/run.sh
UTF-8
2,756
3.015625
3
[]
no_license
#! /bin/bash dir=$(basename "${1%.*}") dir=output/${dir// /.} in="$dir/bass.wav" out="$dir/octave.wav" mkdir "output" mkdir "$dir" cp "$1" "$dir/music.mp3" echo "-------------------------------------------------:" echo "-----------Separating stems:" spleeter separate -i "$dir/music.mp3" -p spleeter:4stems-16kHz -o $d...
true
0ad14ae53c24597febae2ba867c6ad7aaaefac29
Shell
olleolleolle/http_stub_docker
/bin/push_docker_image_to_ecr.sh
UTF-8
427
3.640625
4
[ "MIT" ]
permissive
#!/usr/bin/env bash set -e if [ "$#" -lt 2 ]; then echo "usage: $(basename "$0") NAME TAG [TAGS...]" && exit 1 fi app_name="$1" app_tags="${@:2}" eval $(aws ecr get-login --no-include-email --region "$AWS_REGION") IFS=' ' read -ra tags <<< "$app_tags" for tag in "${tags[@]}"; do image_tag="$AWS_ID.dkr.ecr.$AWS_...
true
91289671821087cc71a3de77ce3479e612b61673
Shell
skial/haxe.io
/render.sh
UTF-8
1,108
2.578125
3
[]
no_license
INPUT="$@" STR="${INPUT:3}" BIN=./bin$STR BIN_DIR=${BIN%/*} BIN_BASE="${BIN/$BIN_DIR/}" BIN_BASE="${BIN_BASE/.md/}" MIN=./min$STR MIN_DIR=${MIN%/*} MIN_BASE="${MIN/$MIN_DIR/}" MIN_BASE="${MIN_BASE/.md/}" OPT=./opt$STR OPT_DIR=${OPT%/*} OPT_BASE="${OPT/$OPT_DIR/}" OPT_BASE="${OPT_BASE/.md/}" OPT_CRIT=$OPT_DIR$OPT_BASE...
true
dfa41170042b87b76ba983d494ca09999628a63b
Shell
martinvonz/jj
/demos/demo_working_copy.sh
UTF-8
1,324
3.46875
3
[ "Apache-2.0" ]
permissive
#!/bin/bash set -euo pipefail . "$(dirname "$0")"/demo_helpers.sh new_tmp_dir jj git clone https://github.com/octocat/Hello-World cd Hello-World comment "We are in the octocat/Hello-World repo. We have an empty working copy on top of master:" run_command "jj status" run_command "jj log" comment "Now make some change...
true
ec19bc9ce0a00bd1a858341eef82111ada657bd0
Shell
ymnoor21/shell-scripts
/table_compare.sh
UTF-8
4,315
3.53125
4
[]
no_license
#!/usr/bin/env bash if [ "$#" -eq "0" ]; then echo "No table name supplied" echo "Script Usage: ./table_compare.sh <table_name> [migration_file_name]" exit 0 fi # get table name TABLE_NAME=$1 # get migration file name MIGRATION_NAME=$2 if [ -z "$MIGRATION_NAME" ]; then MIGRATION_NAME="$TABLE_NAME" f...
true
5482a8105871c928f444076e704e72cc03519ff9
Shell
petronny/aur3-mirror
/statist/PKGBUILD
UTF-8
539
2.640625
3
[]
no_license
# Contributor: Eugeni Dodonov <eugeni@dodonov.net> pkgname=statist pkgver=1.4.1 pkgrel=1 pkgdesc="Statist is a terminal-based statistics program with an interactive menu that makes it very easy to use" arch=(i686 x86_64) license=('GPL') url="http://statist.wald.intevation.org/" depends=('gnuplot' 'gettext') source=(htt...
true
ab93f076ea72e22e4fbaf388aa47fd6ccce181a2
Shell
uetiko/phpfreechat
/tools/switch-examples-head
UTF-8
622
3.015625
3
[ "MIT" ]
permissive
#!/bin/bash # restore default file git checkout examples/*.html # switch to the desired status if [ "$1" == "--debug" ]; then sed -i '/pfc-debug/d' examples/*.html sed -i '/pfc-prod/,/\/pfc-prod/d' examples/*.html sed -i '/pfc-dev/,/\/pfc-dev/d' examples/*.html elif [ "$1" == "--dev" ]; then sed -i '/pfc-dev/...
true
3be7931099590e5452de21a5cf23ee4301648e0b
Shell
kata-containers/ci
/VMs/metrics/ubuntu16.04/env.sh
UTF-8
869
3.375
3
[ "Apache-2.0" ]
permissive
#!/bin/bash # Copyright (c) 2018 Intel Corporation # # SPDX-License-Identifier: Apache-2.0 # Set the name that virsh/libvirt will use, and also gets set as the uname/hostname # inside the VM. # Name carefully, as there are restrictions on the valid character set and length of # name - see: # https://libvirt.org/forma...
true
c2d609a46d525c437267a5ff65e2d84d0a098d2a
Shell
OneDirection9/fairseq-laser
/scripts/download_data.sh
UTF-8
1,680
3.859375
4
[ "BSD-3-Clause" ]
permissive
#!/bin/bash if [ -z "${LASER}" ]; then echo "Please set the environment variable 'LASER'" exit fi data_root="${LASER}/data" ################################################################### # # Download data # ################################################################### DownloadEuroparl() { echo "Dow...
true
1a6c10f0214e3e7723a010008dbac99cd6243516
Shell
rokon12/pi4j-v2
/autoReleaseBranch
UTF-8
2,415
4.0625
4
[ "Apache-2.0", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/bin/bash function pwb() { git branch 2> /dev/null | sed -e '/^[^*]/d' -e 's/* \(.*\)/\1/' } # usage if [ $# != 3 ] ; then echo -e "Usage: ${0} <major|minor|update> <source_branch> <release_branch>" exit 1 fi current_branch="$(pwb)" updateType="${1}" source_branch="${2}" branch="${3}" echo "INFO: Fetching...
true
b0ecdf520d30182c46bfdad0bc494145af4469c6
Shell
usami/nixos-setup
/setup
UTF-8
2,348
3.765625
4
[]
no_license
#!/usr/bin/env bash set -eufx -o pipefail BOOT_PARTITION=$1 # e.g. /dev/sda3 LUKS_PARTITION=$2 SWAP_PARTITION=$3 EFI_MNT=/root/boot BOOT_MNT=/mnt/boot SALT_LENGTH=16 KEY_LENGTH=512 ITERATIONS=1000000 CIPHER=aes-xts-plain64 HASH=sha512 SLOT=2 LUKSROOT=crypted FSROOT=root setup_boot_partition() { mkfs.vfat -F ...
true
adae8d52b49bcf15ec3db83ce703583910a42266
Shell
jmacd/nerve
/pru/build3.sh
UTF-8
1,907
3.28125
3
[ "MIT" ]
permissive
#!/bin/sh trap cleanup 1 2 3 6 PID="" GPIOs="gpio114 gpio15 gpio3 gpio36 gpio46 gpio60 gpio68 gpio74 gpio80 gpio10 gpio115 gpio2 gpio30 gpio37 gpio47 gpio61 gpio69 gpio75 gpio81 gpio11 gpio116 gpio20 gpio31 gpio38 gpio48 gpio62 gpio7 gpio76 gpio86 gpio110 gpio117 gpio22 gpio32 gpio39 gpio49 gpio63 gpio70 gpio77 gpio...
true
c280e4bb33b794b8a07e9c8002ce5f061c890f19
Shell
seafoam6/Movie-Catalog
/change
UTF-8
938
3.90625
4
[]
no_license
#!/usr/bin/env bash # update entry in phone book name=$1 # get matching entries, save into temp file grep -i "$name" $CATALOG_LOCATION > /tmp/matches$$ if [ ! -s /tmp/matches$$ ] ; then echo "I can't find $name in the movie catalog" exit 1 fi # display matching entries one at a time and confirm change whi...
true
73194bd42533412199a5d056e59472a73e2efd21
Shell
abhijithb200/AETA
/cregrabber.sh
UTF-8
519
2.828125
3
[]
no_license
function getcre(){ mon="$(sudo tail -1 /var/log/apache2/access.log)" s="$(grep "GET /connect.php?" /var/log/apache2/access.log | tail -1)" f="$(echo $s | cut -d " " -f 7)" QUERY="$(echo $f | cut -d "?" -f2)" IFS="&" set -- $QUERY pass1="$(echo $1 | cut -d "=" -f2)" pass2="$(ech...
true
65da509e33c75084624055751ee66ee3bcd10f59
Shell
igork84/Epam_Azure_Course
/EPAM_AZ_2019-master/EPAM_AZ_2019-master/HW_09/task_02/linked/apache2.sh
UTF-8
289
2.953125
3
[]
no_license
#!/usr/bin/env bash if [ $(dpkg-query -W -f='${Status}' apache2 2>/dev/null | grep -c "ok installed") -eq 0 ]; then sudo apt install apache2 -y sudo sed -i 's/Listen 80$/Listen 8080/g' /etc/apache2/ports.conf sudo systemctl enable apache2 sudo systemctl restart apache2 fi
true
dfa95c51dd17eae9800f28e3cd668f4163d330c3
Shell
jitsi/libjitsi
/resources/fetch-maven.sh
UTF-8
589
3.46875
3
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash if ! command -v unzip &> /dev/null; then echo "$0 requires unzip" fi; VER=3.3.0 PROJECT_DIR="$(realpath "$(dirname "$0")/../")" EXTRACT_DEST="$PROJECT_DIR/target/latest-maven" mkdir -p "$EXTRACT_DEST" mvn org.apache.maven.plugins:maven-dependency-plugin:$VER:copy \ -Dartifact=org.jitsi:lib...
true
fec09529b9d4a04ff0f0a90463d2a964425e6634
Shell
tjhendrickson/bids-app-host
/run-bids-app-singularity.sh
UTF-8
10,657
4.09375
4
[]
no_license
#!/bin/bash set -eo pipefail echo "Starting openneuro/bids-app-host:0.8.5" # Get cgroup limit for host container, reserve 64MB and limit the BIDS container to this BIDS_APP_MEMORY_LIMIT=$(( $(cat /sys/fs/cgroup/memory/memory.limit_in_bytes) - 67108864 )) # # Function Description: # Show usage information for this s...
true
21e8e06e8b86eced4e80dfc80d8a82891cad089c
Shell
yantao473/linux_vim
/filetags.sh
UTF-8
799
3.140625
3
[]
no_license
#!/bin/sh basepath="/data0/sae" cd $basepath gentags() { tf="$1/.filenametags" ctf="$1/.tags" echo $1 cd $1 echo -e "!_TAG_FILE_SORTED\t2\t/2=foldcase/" > $tf find -not -iregex '.*\.\(jpg\|png\|gif\)' -type f -printf "%f\t%p\t1\n" | grep -v '.git' | sort -f >> $tf ctags \ -f $...
true
d67bee679907ac2aef9ed1f3211752e5455baec7
Shell
ShawnMcCool/elastic-bash
/bootstrap
UTF-8
2,330
4.5625
5
[]
no_license
#!/bin/bash # global environment variables # ---------------------------- # ELASTICSEARCH_BASH_API_PATH = the folder location of the library scripts (default $(dirname $0)/lib) # ELASTICSEARCH_HOST - the URL of the elasticsearch host (default http://0.0.0.0:9200) # establish library path for includes export lib=${ELA...
true
4ba5e85663e6151a6b13d3f21403907f6d221abc
Shell
SimonEismann/emptyhost-gcloud
/start.sh
UTF-8
3,335
3.4375
3
[]
no_license
# Open port 22442 for all VM instances to external! export PROJECT_ID=`gcloud config get-value project` export ZONE=us-central1-a export CLUSTER_NAME=${PROJECT_ID}-1 export MACHINE_TYPE=n1-standard-2 services=(host-proxy host-a host-bc) declare -a LOADS=("const_10" "const_20" "const_30" "const_40" "training") # setu...
true
b111bf9c28aef8a9dd05d918c9cd2775e0199da8
Shell
Roboticarmarm/Robotic-Arm
/keyword_spotting/run.sh
UTF-8
888
3.015625
3
[]
no_license
#!/bin/bash #wSet=wav/wav.scp wSet=wav/$1.scp file=test.wav for i in $(seq 1 3) do echo $i arecord -q -d 1 -c 1 -f S16_LE -r8000 ./wav/$file # WAV echo "test $(pwd)/wav/$file" > ./wav/test.scp # SCP compute-mfcc-feats --sample-frequency=8000 scp:$(pwd)/wav/test.scp ark,t:$(pwd)/f...
true
3b424a4bf6c53ade55d99f4584260dedd5377cf3
Shell
phinze/enki_cloud
/scripts/snmp/check_local_ntp
UTF-8
2,320
4.1875
4
[ "MIT" ]
permissive
#!/bin/bash # Michael Vallaly (Feb 2009) Ver 1.0 # This script checks # A. That the locally configured ntp server is reachable # B. That the local machine has the correct time (within limits) BC_BIN="/usr/bin/bc" NTPDATE_BIN="/usr/sbin/ntpdate" NTP_CONFIGS="/etc/ntp.conf /etc/openntpd/ntpd.conf" NTP_OPTS="-q -t 0...
true
cebb8597c862e01b9723f978c01874e56fbd138a
Shell
saddam1999/switch-bootroms
/bootroms/erista-t210-bootrom/nvboot/main/bct_header_info
UTF-8
1,234
2.828125
3
[]
no_license
#!/bin/bash export HWROOT=`depth` # Calculate the size of the BCT dynamically. printf "%s\n%s\n%s\n" "\ #include <stdio.h>" "\ #include \"nvboot_bct.h\"" "\ int main() \ { \ NvBootConfigTable bct; \ printf(\"Bct header size (bytes): 0x%x or %d\\n\", sizeof(NvBootConfigTable), sizeof(NvBootConfigTable)); \ p...
true
1c87203f28cbb73e744fd211dad0cec385dc0cde
Shell
corda/corda
/tools/demobench/package/bugfixes/apply.sh
UTF-8
616
3.53125
4
[ "Apache-2.0" ]
permissive
#!/bin/sh BASEDIR=$(dirname $0) SOURCEDIR=$BASEDIR/java BUILDDIR=$BASEDIR/build RTJAR=$1 if [ -z "$RTJAR" ]; then echo "Need location of rt.jar" exit 1 elif [ $(basename $RTJAR) != "rt.jar" ]; then echo "File is not rt.jar" exit 1 elif [ ! -f $RTJAR ]; then echo "$RTJAR not found" exit 1 fi #...
true
2bf77183b144a32e4c456a5ea3c1607d336dc79e
Shell
PaBochka/gst-video-analytics
/samples/shell/reidentification/face_recognition.sh
UTF-8
1,934
3.171875
3
[ "MIT", "LicenseRef-scancode-unknown-license-reference", "LGPL-2.0-or-later" ]
permissive
#!/bin/bash # ============================================================================== # Copyright (C) 2018-2020 Intel Corporation # # SPDX-License-Identifier: MIT # ============================================================================== set -e BASEDIR=$(dirname "$0")/../../.. if [ -n ${GST_SAMPLES_DIR} ...
true
ad9b495a9e9b58abf21683f98df58b9f4eb8479c
Shell
mshgh/netcore-test-docker
/docker-build/scripts/build
UTF-8
413
3.546875
4
[ "MIT" ]
permissive
#!/bin/sh mkdir -p /home/git && \ cd /home/git && \ git clone --branch master --depth=1 https://github.com/mshgh/netcore-test-docker.git repo && \ cd repo echo echo "Checking for prepared parameter files for docker build command..." for PARAMS_FILE in $(find . -name docker-build-params); do echo echo "Found: $PAR...
true
056e3e20b300da8e5b9a9bff10f8fce9aaf482ee
Shell
ajvillarroelp/ethkillwifi
/show_connections.sh
UTF-8
772
3.21875
3
[]
no_license
#!/bin/bash LINE=$(nmcli con show | tr -s " " | cut -d " " -f 4 | grep -v DEV | grep -n '[0-9]') if [[ ! -z "$LINE" ]] ; then NLINE=$(echo $LINE | cut -d: -f 1) CONNAME=$( nmcli con show | tr -s " " | cut -d " " -f 1 | grep -v NAME | sed -n 1p ) echo 3 $CONNAME nline=$(nmcli dev show | grep -n $CONNAM...
true
87459bc7cc473378083ba0573e1f25ccee77c849
Shell
va1kyrie/test-scripts
/test3-old.sh
UTF-8
2,278
4.0625
4
[]
no_license
#!/bin/sh # test usr host process # a script to test network performance while sending files. # measures and logs CPU, memory, and time while sending different files across # to a specified host. (username@host/IP) # also takes in the name of a process to monitor TIMESTAMP=$(date +%T%d%m) ARGS=$# if [ $ARGS -lt 2 ]...
true
f4542f8a0db3af827c3be74da96514495a3ad34b
Shell
marji/ansible-role-job-runner
/templates/job_runner.erb
UTF-8
3,384
4
4
[ "MIT", "BSD-3-Clause" ]
permissive
#!/bin/bash # A job runner, it executes the job and produces prometheus metrics about the job. # That means the jobs can be monitored by prometheus with a minimal effort. # It requires node_exporter to be installed, and its textfile collector configured. # It can be used to execute cron tasks and get prometheus to mon...
true
633086ba59ab979483b7e365c069176c7d688369
Shell
contradict/cdist
/cdist/conf/type/__nvidia_cuda/files/setup.sh
UTF-8
1,399
3.59375
4
[]
no_license
state_is="$(cat "$__object/explorer/state")" state_should="$(cat "$__object/parameter/state")" if [ -f "$__object/parameter/version" ]; then version=$( cat "$__object/parameter/version" ) else version="5.0.35" fi version_installed="$(cat "$__object/explorer/version" )" [ "$version_installed" = "$version" ] &...
true
bacdbe98cc1e53c9d3f90cd02773fcb5327f192b
Shell
benchekroun/coursm1
/Compilation/tdCompil/syntaxico
UTF-8
469
2.640625
3
[]
no_license
#!/bin/bash echo "----------------------------------------------" echo " Analyse syntaxique en cours... " echo "----------------------------------------------" bison -d -o $1synt.c synt$1.y && flex -o lex$1synt.c lex$1synt.lex && gcc -o synt$1 $1synt.c lex$1synt.c && ./synt$1 exemple$1.txt echo "--------...
true
254ae1ce04a8e1526df92e96c5eceaf8f386f092
Shell
tolleiv/docker-misc
/2017-prometheus-reload/refresh.sh
UTF-8
286
3.25
3
[ "MIT" ]
permissive
#!/bin/sh FILE=$1 URL=$2 HASH=$(md5sum $(readlink -f $FILE)) while true; do NEW_HASH=$(md5sum $(readlink -f $FILE)) if [ "$HASH" != "$NEW_HASH" ]; then HASH="$NEW_HASH" echo "[$(date +%s)] Trigger refresh" curl -sSL -X POST "$2" > /dev/null fi sleep 5 done
true
5728e7ff18e49c6d5cb3d97abd2a80659936efbb
Shell
jerryoman/docker-nsupdate
/build/setup.sh
UTF-8
826
3.828125
4
[ "MIT" ]
permissive
#!/usr/bin/bash #Quit on error. set -e # Treat undefined variables as errors. set -u function main { local uwsgi_uid="${1:-}" local uwsgi_gid="${2:-}" # Change the uid if [[ -n "${uwsgi_uid:-}" ]]; then usermod -u "${uwsgi_uid}" www-data fi # Change the gid if [[ -n "${uwsgi_gid:...
true
54c40d33c70d62effcdd34b5e8677e1320c0e135
Shell
kaoxkrul/bash
/c2f2c.bashe
UTF-8
2,432
3.796875
4
[]
no_license
#!/bin/bash ############################################ # Bash Screen Example # by Rob Krul # # Note: Bash is limited to integer math # Use Korn Shell if you want floating point ############################################ ################ # Subroutines ################ function starscreen() { xstart=12 ystart...
true
b94c298cf67be93473c82a448bb4915c034c6189
Shell
kingmuscle/imimaps
/ci-cd/docker-build-and-push.sh
UTF-8
501
2.9375
3
[]
no_license
echo "$0: building docker image" . ./ci-cd/deploy01-settings.sh . ./ci-cd/deploy00-echo-settings.sh if [ $DEPLOYMENT_SHOULD_RUN != "true" ]; then echo "***** SKIPPING BUILD AND PUSH: DEPLOYMENT_SHOULD_RUN $DEPLOYMENT_SHOULD_RUN *****" echo "end $0" exit 0 fi docker build -t imimap/imimap:$DEPLOYMENT_TAG . doc...
true
32b60efc90e3e78789293e3296f90ca9b3a3351d
Shell
dmiluski/braintree-ios-issue-demo
/bin/init
UTF-8
608
3.484375
3
[]
no_license
#!/usr/bin/env bash set -eu pretty_echo() { green=$(tput setaf 2) reset=$(tput sgr0) msg="$*" printf "\n${green}%s${reset}\n" "$msg" } if type brew &>/dev/null; then pretty_echo "Checking for Homebrew updates…" brew update else pretty_echo "Installing Homebrew…" /usr/bin/ruby -e "$(curl -fsSL https:/...
true
4bd6168793e3d59b6055e6dbd5838531aad72d04
Shell
blackestsaint/Korn
/menu-txt
UTF-8
1,071
2.625
3
[]
no_license
#!/bin/bash source cabecalho #[[ -e /etc/bash.bashrc-bakup ]] && _autorun="\033[1;32m${txt[10]}" || _autorun="\033[1;31m${txt[11]}" echo"" echo -e "-----=[ Account Management Section ]=-----" echo -e "${cor[2]} [0] > Exit Menu" echo -e "${cor[2]} [1] > Create User Account" echo -e "${cor[2]} [2] > Delete User Accou...
true
c911dcf85f8655ab141e7decef5ec3c0cce99737
Shell
petronny/aur3-mirror
/selinux-sudo/PKGBUILD
UTF-8
1,565
2.6875
3
[]
no_license
# $Id: PKGBUILD 188591 2013-06-16 17:14:27Z foutrelis $ # Maintainer: Nicky726 <Nicky726@gmail.com> # Contributor: Evangelos Foutras <evangelos@foutrelis.com> # Contributor: Allan McRae <allan@archlinux.org> # Contributor: Tom Newsom <Jeepster@gmx.co.uk> pkgname=selinux-sudo _origname=sudo _sudover=1.8.7 #pkgver=${_su...
true
385c65944a14d3cd8accdc306b4c1ff5c79e0a91
Shell
LBijaminas/bashing
/scripts/hello_world.sh
UTF-8
84
2.578125
3
[]
no_license
#!/bin/bash # Apparently, spaces matter in bash STRING="Hello world" echo $STRING
true
8176fbbf4fe3ae04793a1bcd61bf7c4bccb4114b
Shell
jeins/grischa
/scripts/gatekeeper.sh
UTF-8
2,278
4.15625
4
[]
no_license
#/bin/sh # Define varibales JOBS_TXT=jobIDs$(date +"%H%M%S").txt JOBS_TXT_DIR=./jobs/ GRIDLAB="" JDL_FILE=".tmp.jdl"; JDL="Executable = \"start.sh\";\n\ Arguments = \"--user {{USER}} --password {{PASSWORD}}\";\n\ StdOutput = \"std.out\";\n\ StdError = \"std.err\";\n\ InputSandbox = {\"start.sh\", \"gnode.jar\"};\n\ Ou...
true
881e00560b9425d8657bc4dcea5a9bd9d269886e
Shell
hiaw/dotfiles
/zsh/zshrc
UTF-8
1,076
2.984375
3
[]
no_license
# # Executes commands at the start of an interactive session. # # Authors: # Sorin Ionescu <sorin.ionescu@gmail.com> # # Source Prezto. if [[ -s "${ZDOTDIR:-$HOME}/.zprezto/init.zsh" ]]; then source "${ZDOTDIR:-$HOME}/.zprezto/init.zsh" fi # Customize to your needs... export HOMEBREW_PREFIX="/opt/homebrew"; expor...
true
e73c771049bda6641e773517169e28af3246f971
Shell
andmos/SimpleNetworkServer
/bin/usersSetup
UTF-8
361
2.671875
3
[ "MIT" ]
permissive
#! /bin/bash pass=$(</vagrant/resources/passwords/userpw.txt) echo "Adding users to the system..." sudo useradd -m -p $pass Ola sudo useradd -m -p $pass Kari #fixing password - bug sudo /vagrant/bin/passwordChanger Ola $pass > /var/log/SimpleNetworkServer.log sudo /vagrant/bin/passwordChanger Kari $pass > /var/log/S...
true
bd125fc27de0ace20271d710ae0075917b4b311f
Shell
HakabaV3/travel-share-server
/bin/config
UTF-8
752
2.734375
3
[]
no_license
#!/bin/bash #-------------------------------------- # Global TIMESTAMP=`date '+%Y%m%d%H%M%S'` #-------------------------------------- # DB #directory mongod uses DB_ROOT_PATH=../../travel-share-db #directory mongod saves datas DB_DATA_PATH=$DB_ROOT_PATH/db #directory mongod outputs logs DB_LOGS_PATH=$DB_ROOT_PAT...
true
a3f0af42160319c507959e6e0cde4130b5e9815b
Shell
pocketdrive/pocketdrive-server
/seeder/seeder.sh
UTF-8
597
3.09375
3
[]
no_license
#!/bin/bash username="dulaj" smbuser="dulaj" smbpasswd="1234" # Seed DB rm -rf ~/.pocketdrive mkdir ~/.pocketdrive cp db/* ~/.pocketdrive # Seed sample user storage hierachy cd ~ rm -rf pocketdrive mkdir pocketdrive cd pocketdrive mkdir $username cd $username mkdir Documents mkdir Movies mkdir Music mkdir -p Off...
true
c0bdf564b0aeba32bfdfdbc24c9ff649f611b3c8
Shell
hongkongkiwi/cfssl-client
/bin/generate_hmac_key
UTF-8
135
2.859375
3
[]
no_license
#!/bin/sh LENGTH=${1:-32} KEY=`od -vN "$LENGTH" -An -tx1 /dev/urandom | tr -d " \n" | tr "[:lower:]" "[:upper:]"; echo` echo "$KEY"
true
e109e1ee1b4d72777987611be3cb4da75dc94102
Shell
xinlc/dotfiles
/mac/home/bin/safermformac.sh
UTF-8
6,447
4.125
4
[ "MIT" ]
permissive
#!/bin/bash ## ## saferm.sh ## Safely remove files, moving them to GNOME/KDE trash instead of deleting. ## Made by Eemil Lagerspetz ## Login <vermind@drache> ## ## Started on Mon Aug 11 22:00:58 2008 Eemil Lagerspetz ## Last update Wed Mar 14 11:53:18 2018 xinlc ## version="1.17"; ## flags (change these to change ...
true
87b495af80333f499e71d05f1157dbaa347a3f58
Shell
jiwu14/VirtuOS-Install
/installFrontBackend.sh
UTF-8
644
2.71875
3
[]
no_license
##################################################################### # Set Virtuous home directory VIRTUOS_HOME=$PWD/VirtuOS-master echo $VIRTUOS_HOME cd $VIRTUOS_HOME # Installing the VirtOS Xen Drivers echo "[VirtuOS] - Installing the VirtuOS Frontend Driver" cd source/syscall-frontend; make CC="gcc -fno-pic -fno-pi...
true
a6b911bb246025ccd3c8aafd946e3e48df605c26
Shell
visionguo/shell
/runit/runit
UTF-8
5,679
3.765625
4
[]
no_license
#!/bin/bash # # Copyright (c) 2019 Baidu.com, Inc. All Rights Reserved # # Auther:Abel # Date:2019/08/29 # Brief: # runit # Globals: # PORT # Returns: # succ:0 # fail:1 # trap trap 'handle_signal' SIGINT trap 'handle_signal' SIGTERM # environment PORT=8080 DATE_FORMAT="+%Y-%m-%d|%H:%M:%S" color=('0' '31' '32'...
true
e4add752e5cd3d0f70167d06523063747215ed81
Shell
yangbajing/akka-http
/scripts/create-release-issue.sh
UTF-8
301
3.375
3
[ "Apache-2.0" ]
permissive
#!/bin/bash VERSION=$1 if [ -z $VERSION ] then echo specify the version name to be released, eg. 1.0.0 else sed -e 's/\$VERSION\$/'$VERSION'/g' notes/release-train-issue-template.md > /tmp/release-$VERSION.md echo Created $(hub issue create -F /tmp/release-$VERSION.md -M $VERSION --browse) fi
true
4a2fb383c364128e26d57a4216288616a7c6e9c3
Shell
SamDanielThangarajan/tools
/auto-complete-scripts/remote-autocomplete.sh
UTF-8
407
3.03125
3
[]
no_license
_remoteop() { local cur prev opts COMPREPLY=() prev="${COMP_WORDS[COMP_CWORD-1]}" cur="${COMP_WORDS[COMP_CWORD]}" opts="" if [[ ${COMP_CWORD} -eq 1 ]] then opts="login exec scp rscp rsync rrsync" else opts=$(cat ~/nodes.cfg | egrep -v '^#|^$' | awk '{print $1}' | tr "\n" " ") ...
true
003987ef893464260cc14fba1839ab00da24ab35
Shell
JamesLinus/jbuilder-universe
/packages/JsOfOCairo.1.0.1/run_development_cycle.sh
UTF-8
609
2.75
3
[ "MIT" ]
permissive
#!/bin/bash # Copyright 2017 Vincent Jacques <vincent@vincent-jacques.net> set -o errexit eval `opam config env` opam install --yes js_of_ocaml-ppx js_of_ocaml-compiler cairo2 jbuilder if ! [ -d node_modules ] then npm install canvas pixelmatch browserify fi clear jbuilder runtest --dev # https://github.com/...
true
6cf76617a4565b2844549257d148b3b141456a1e
Shell
huazifoothole/TestSystemPro
/TestSystem/getdisk2.sh
UTF-8
298
3
3
[ "Apache-2.0" ]
permissive
#!/bin/bash count=$(df | grep "/dev/sd" | wc -l) if [[ $count >2 ]];then echo $count exit fi for ((i=1;i<=$count;i++)) do var1=$(df |grep "/dev"|awk -F" " 'NR=='$i' {printf $6}') if [[ $var1 != "/boot" ]];then echo $(df |grep "/dev"|awk -F" " 'NR=='$i' {printf $1}'| cut -b 1-8) break fi done
true
d0c9e46dda69d5f35f648461544d36a16bc2a527
Shell
shahnawaz-khan-pathan/Shellprogram1.1
/Day07program/Prime_Factorization.sh
UTF-8
419
3.359375
3
[]
no_license
#!/bin/bash -x echo "enter a integer:" read int i=2 count=0 flag=0 for ((i;i<$int;)) do if [ `expr $int % $i` -eq 0 ] then factor=$i for ((j=2;j<=`expr $factor / 2`;)) do flaf=0 if [ `expr $factor % $j`-eq 0 ] then flag=1 break fi j=`expr $j + 1` done if [ $flag -eq 0 ] then no=$factor array[$i]=$no count=1 fi fi i=`ex...
true
c70eb74fa9a4a43b845a122e5f8aa5872a2ff38b
Shell
zfsonlinux/xfstests
/tests/xfs/040
UTF-8
1,885
3.296875
3
[]
no_license
#! /bin/bash # FS QA Test No. 040 # # srcdiff test # #----------------------------------------------------------------------- # Copyright (c) 2000-2001 Silicon Graphics, Inc. All Rights Reserved. # # This program is free software; you can redistribute it and/or # modify it under the terms of the GNU General Public Lic...
true
772001d735568292d5e777e6f27fae4e7abf1ade
Shell
fdbesanto2/runscripts
/BCI_testbed/clm5_fates_cheynne_run_ensemble_noinventory_052318.csh
UTF-8
3,251
2.59375
3
[]
no_license
#!/usr/bin/env bash SRCDIR=$HOME/ctsm cd ${SRCDIR} GITHASH1=`git log -n 1 --format=%h` cd src/fates GITHASH2=`git log -n 1 --format=%h` SETUP_CASE=fates_clm5_fullmodel_bci_parameter_ensemble_1pft_v001 if [ "${SETUP_CASE}" == "fates_clm5_fullmodel_bci_parameter_ensemble_1pft_v001" ]; then CASE_NAME=${SETUP_CASE}_...
true
a87b3204ac80822843b5c0cc4c98c4d6f497b9de
Shell
eastmontgroup/magento2devbox-skeleton
/m2unison.sh
UTF-8
1,933
3.625
4
[]
no_license
#!/bin/bash # Unison can connect over SSH or via a socket. SSH is used be default as there # have been some reports of the socket mode hanging at times. USE_SOCKET=0 PROJ=$COMPOSE_PROJECT_NAME if [[ -z $PROJ ]]; then PROJ=$(basename $PWD) fi M2PROFILE=m2devbox-$PROJ mkdir -p ~/.unison LOCAL_ROOT=$(pwd)/shared...
true
0d9d81a3efae684253644b291994247f8637d5af
Shell
DennisdeW/PredictPor
/build_net.sh
UTF-8
649
2.921875
3
[]
no_license
#!/bin/bash rm -rf tmp mkdir tmp cd models echo "Preparing Files" for i in *.dve; do cp $i ../tmp done cd .. cp getdata.py tmp cp aggregate_data.sh tmp cp countglobals.sh tmp cp build_fann.py tmp cp countglobals tmp cp libmatacc.so tmp cp hmatacc.sh tmp cp hmatacc tmp cd tmp for i in $(ls); do if [[ $i =~...
true
811ed0877ba98c2da392c3f6dc96ab338ed0d5af
Shell
tcel2/ScriptEchoColor
/ScriptEchoColor/bin.extras/secOpenNewX.sh
UTF-8
43,518
3.34375
3
[]
no_license
#!/bin/bash # Copyright (C) 2004-2014 by Henrique Abdalla # # This file is part of ScriptEchoColor. # # ScriptEchoColor simplifies Linux terminal text colorizing, formatting # and several steps of script coding. # # ScriptEchoColor is free software; you can redistribute it and/or modify # it under the terms of the GNU...
true
a48c25c19a7e257376b0360699020daa2adecbbc
Shell
yujmo/Shell
/multi_pis_debian.py
UTF-8
726
3.171875
3
[ "Apache-2.0" ]
permissive
#!/bin/bash #更新系统,安装常用的软件 sudo apt-get update && sudo apt-get upgrade -y && sudo apt-get install arp-scan -y && sudo apt-get install python python-pip -y \ && sudo apt-get install ansible -y #获取当前网段 nets=`ifconfig wlan0|grep mask|awk '{print $6}'|awk -F '.' 'BEGIN{OFS="."} END{print and($1,$1),and($2,$2),and($3,...
true
767174a757becff6b69302990d9ca51cc6f09290
Shell
strezh/VPPSniffer
/set_vbox_settings
UTF-8
560
2.59375
3
[]
no_license
#!/bin/bash if [[ $#>0 ]] then VM_NAME="$1" else VM_NAME="WinXP" fi VBoxManage modifyvm --lptmode1 /dev/parport0 VBoxManage modifyvm --lpt1 0x378 7 VBoxManage setextradata ${VM_NAME} "VBoxInternal/Devices/parallel/0/LUN#0/Config/DevicePath" /dev/parportsnif0 VBoxManage setextradata ${VM_NAME} "VBoxInternal/D...
true
951ab682c8ef919fe14e7105ed3c431b8a73ce94
Shell
chrisFruit/2019MasterThesis
/Laminar Flow Frunace Testing/Testing/1510RUS500
UTF-8
812
2.75
3
[]
no_license
#!/bin/sh cd ${0%/*} || exit 1 # Run from this directory . $WM_PROJECT_DIR/bin/tools/RunFunctions # Tutorial run functi rm -r processor* rm -r Gnu* rm log* echo Running Test at Temperature 1510K echo Copying T and U cp Temp/1510K 0/T cp Velo/1510U 0/U cp Coal/RUS500 constant/coalCloud1Pr...
true
6c00ddd8c6436d9c7436898c99a602b8e7d80956
Shell
EvilFreelancer/lfs
/scripts/build/6.66-make-kbd.sh
UTF-8
872
3.171875
3
[ "MIT" ]
permissive
#!/bin/bash set -e echo "Building kbd.." echo "Approximate build time: 0.1 SBU" echo "Required disk space: 29 MB" # 6.66. Kbd package contains key-table files, console fonts, and # keyboard utilities tar -xf /sources/kbd-*.tar.xz -C /tmp/ \ && mv /tmp/kbd-* /tmp/kbd \ && pushd /tmp/kbd # fixes an issue for i386 ke...
true
3146c68dfeb562153cc2957ca7b94eba081bc0e0
Shell
s0la/orw
/scripts/rofi_scripts/tiling_toggle.sh
UTF-8
971
3.328125
3
[ "MIT" ]
permissive
#!/bin/bash theme=$(awk -F '"' 'END { print $(NF - 1) }' ~/.config/rofi/main.rasi) if [[ $theme != icons ]]; then wm_mode=wm_mode offset=offset reverse=reverse direction=direction sep=' ' fi read wm_icon offset_icon reverse_icon direction_icon <<< \ $(awk '{ if(/^mode/) { wm = ($NF == "floating") ? "" : "" ...
true
6dcebd8cb6747180544a9e85234ece6b823fb0a6
Shell
jwhitcraft/passenger-docker
/image/untappd.sh
UTF-8
1,202
3.046875
3
[ "MIT" ]
permissive
#!/bin/bash set -e source /pd_build/buildconfig #run /pd_build/install_fonts.sh header "Installing Custom software" run install_clean gnupg dirmngr export GNUPGHOME="$(mktemp -d)"; for key in \ B97B0AFCAA1A47F044F244A07FCC7D46ACCC4CF8 ; do gpg --keyserver hkp://ipv4.pool.sks-keyservers.net --recv-keys "$key...
true
55dbdb2b15afba5242021c88c0ac06fe04a7382d
Shell
PeterBjuhr/cli-tools
/lilypond/compiletestfiles.sh
UTF-8
669
2.8125
3
[]
no_license
#!/bin/bash cd ../test-files/ # compile test files with current master and give them "current" suffix mkdir -p tempor cd tempor/ ../../clean-master/build/out/bin/lilypond ../*.ly for file in *.pdf; do mv "$file" "${file%%.pdf} current.pdf" echo " " done cd ../ mv tempor/* ....
true
5c8df64a644662b8a1993d3f0cd469f0399e1122
Shell
chemag/jpic
/lossless.sh
UTF-8
1,243
2.90625
3
[]
no_license
#!/bin/bash SRC_FILENAME=src14_frame0.raw SRC_FRAMENUM=0 echo "#qp,encode,decode,size,psnr,ssim" i=0 echo -n "$i," # encode raw file using jpic echo -n "$(/usr/bin/time -f '%e' ./jpic.py encode -Q lossless --frame ${SRC_FRAMENUM} ${SRC_FILENAME} img/src14_frame0.lossless.jpic 2>&1 | tail -1)," echo -n "$(/usr/bin/tim...
true
b65c287f2d9ff00a3d6224ccacc0610c83d5de29
Shell
Alexandre-Melo/zedboard_2020.2
/prepare_sd.sh
UTF-8
353
2.921875
3
[]
no_license
#!/bin/sh OUTPUT_FOLDER="build/tmp/deploy/images/myzedboard" FITIMAGE="fitImage-myzedboard-image-myzedboard-myzedboard" BOOTBIN="boot.bin" BOOTSCR="boot.scr" if [ "$#" -ne 1 ]; then echo "Usage: $0 DESTINY_PATH" exit 9 fi cp -v ${OUTPUT_FOLDER}/${FITIMAGE} $1/image.ub cp -v ${OUTPUT_FOLDER}/${BOOTBIN} $1 #cp ...
true
08a87d6d15e3a16fbdc2237dc09b91fe18ec8f72
Shell
JBostelaar/dotfiles
/.zshrc
UTF-8
1,068
2.59375
3
[]
no_license
# Path to your oh-my-zsh installation. export ZSH="/Users/jornbostelaar/.oh-my-zsh" # Config ENABLE_CORRECTION="true" COMPLETION_WAITING_DOTS="true" # Theme ZSH_THEME="spaceship" # Plugins plugins=( zsh-syntax-highlighting send zsh-autosuggestions ) # Aliases alias l='ls -AFhl --color=always' alias ..='cd .....
true
f552e369187f303c8b1931498a2e489d8da16302
Shell
dustin/snippets
/perl/monitor/stats/doit
UTF-8
460
2.515625
3
[]
no_license
#!/bin/sh . /home/monitor/lib/shellconf HTML="$webroot/stats" cd $STATSDIR ./checkrouters $routersFile | ./makehtml.ints > $HTML/out/routers.out # moved to 5 ./checkport $portScanFile | ./makehtml.ports > $HTML/out/ports.out ./routerinfo $routersFile > $HTML/out/info.out ./routersinfo $routersFile | ./makehtml...
true
d9c65055314ca6a072665a137d6c59fdeec42d3d
Shell
perllb/stringtiePipe
/shellpipe/stringtie_run.noGuide.sh
UTF-8
786
3.015625
3
[]
no_license
#!/bin/bash #SBATCH -n 8 #SBATCH -N 1 #SBATCH -A lsens2017-3-2 #SBATCH -p dell #SBATCH -t 03:00:00 #SBATCH -J %j.stringTie.noG #SBATCH -o %j.stringTie.noG.out #SBATCH -e %j.stringTie.noG.err ml GCC/6.4.0-2.28 OpenMPI/2.1.1 ml StringTie/1.3.3b bam=$1 sample=$2 ## create basename variable basename=$sample.stringtie.n...
true
6b170ed6cd43c401c97869647b1e6f5948473b1a
Shell
cilesiz/fluffy-octo-system
/bin/random_num_gen.sh
UTF-8
329
3.484375
3
[]
no_license
#!/bin/bash MAXCOUNT=500000000 count=1 STRING="mmmk" echo echo "$MAXCOUNT random numbers:" echo "-----------------" while [ "$count" -le $MAXCOUNT ] # Generate 10 ($MAXCOUNT) random integers. do number=$RANDOM echo $number $STRING let "count += 1" # Increment count. done echo "------------...
true
e48b9743573a341745d21026580a86cbdc6b0715
Shell
andino93/dotfiles
/.zshrc
UTF-8
5,613
2.71875
3
[]
no_license
# If you come from bash you might have to change your $PATH. # export PATH=$HOME/bin:/usr/local/bin:$PATH # Path to your oh-my-zsh installation. export ZSH=/Users/andino/.oh-my-zsh # Set name of the theme to load. Optionally, if you set this to "random" # it'll load a random theme each time that oh-my-zsh is loaded. ...
true
0bf958405b7aab3ec8e259cd85c29ace104cce5d
Shell
walnut-tom/falcon-plus
/docker/mysql-init/init_mysql_data.sh
UTF-8
392
3
3
[ "Apache-2.0", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/bin/sh Host=${MYSQL_HOST} User=${MYSQL_USER} Password=${MYSQL_PASSWORD} cd /tmp && \ git clone --depth=1 https://github.com/open-falcon/falcon-plus && \ cd /tmp/falcon-plus/ && \ for x in `ls ./scripts/mysql/db_schema/*.sql`; do echo init mysql table $x ...; mysql -h...
true
165553ada31c67add764ea70cc192dac2b6bcd3e
Shell
aterrel/memex
/focused_crawler/script/start_crawler.sh
UTF-8
882
3.265625
3
[]
no_license
#!/bin/sh mkdir -p log if [ $# -eq 5 ] then CRAWLER_NAME=$1'-achecrawler' CONFIG_PATH=$2 SEED_PATH=$3 MODEL_PATH=$4 DATA_PATH=$5 else #default parameters CRAWLER_NAME='default-achecrawler' CONFIG_PATH='conf/conf_default' SEED_PATH='conf/seeds/ht.seeds' MODEL_PATH='conf/models/ht...
true
6d81c283ff2bb2b643f03c91219469ba8b6ca992
Shell
TotallyNotAHaxxer/Vulncher
/domain-hunter.sh
UTF-8
3,441
2.953125
3
[ "MIT" ]
permissive
RED="\033[1;31m" GREEN="\033[1;32m" NOCOLOR="\033[0m" RED="\033[1;31m" GREEN="\033[1;32m" NOCOLOR="\033[0m" red=`tput setaf 1` white=`tput setaf 7` clear domain=$1 domain1=$2 #for extra domain and proper name working_dir=$(cd -P -- "$(dirname -- "$0")" && pwd -P) results_dir=$working_dir/results if [ $# -eq 0 ] then ...
true
ef4b15024b6ba969dd82da77ef74f63cd1b837a5
Shell
Martiusweb/vim
/install.sh
UTF-8
2,492
3.796875
4
[]
no_license
#!/bin/bash DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" cd $DIR function get_if_needed() { if [ ! -f $1 ] then echo Getting $1 from $2 curl $2 > $1 else echo $1 already available fi } function test_cmd() { echo -n "checking $1..." if which $1 > /dev/null 2>&1 then echo "ok" else echo "f...
true
7533b546aeae1cccc1f8fc3f2049380368372e22
Shell
sw897/CentOSGeoWebEnv
/soft/sqlite.sh
UTF-8
724
2.75
3
[]
no_license
#!/bin/sh # # ****************************************************************************** # Software: CentOSGeoWebEnv # Author: mapdb # Website: www.mapdb.cn # Email: mapdb2014@gmail.com # ------------------------------------++++ # Thank you for choosing CentOSGeoWebEnv! # *********************...
true
576059f0fd9ea68e626f41728305f04cee038678
Shell
orangemi/github-issue-vuepress-blog
/tools/deploy.sh
UTF-8
579
2.796875
3
[]
no_license
#!/usr/bin/env bash # abort on errors set -e # navigate into the build output directory cd docs/.vuepress/dist git init git config credential.helper 'cache --timeout=120' git config user.email "circleci-deploy@circleci.com" git config user.name "circleci" git add -A git add . git commit -m "Update via CircleCI" # ...
true
30e26f60384ea75f30c1d603a549f61567377b4b
Shell
hfalk/dotfiles
/setup/applications.sh
UTF-8
718
4.15625
4
[]
no_license
#!/bin/bash # SCRIPT_DIR == Same folder as the script is placed in SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" source "${SCRIPT_DIR}/../settings.sh" source "${SCRIPT_DIR}/utils.sh" install_applications() { print_info "Installing applications" brew cask install "$@" print_result $? "Install ap...
true
dbd57c6df1495d259482395233b184102d7925df
Shell
caguerra/Burkardt-Fortran-90
/f_src/openmp_test/random_contention_openmp_test.sh
UTF-8
453
3.171875
3
[]
no_license
#! /bin/bash # gfortran -o random_contention_openmp_test -Wall -fopenmp random_contention_openmp_test.f90 # rm -f random_contention_openmp_test.txt # for threads in 1 2 4 8 do echo "Run with "$threads" threads." export OMP_NUM_THREADS=$threads ./random_contention_openmp_test >> random_contention_openmp_test.txt ...
true
fcccab6928cb6132294713d7093a535ffced7623
Shell
Tralyor/liveShowV2
/red5-server-1.0.7-RELEASE/src/main/server/red5-highperf.sh
UTF-8
605
2.703125
3
[ "Apache-2.0" ]
permissive
#!/bin/bash if [ -z "$RED5_HOME" ]; then export RED5_HOME=.; fi export JVM_OPTS="-Xmx1024m -Xms512m -Xss256k -XX:+AggressiveOpts -XX:+DisableExplicitGC -XX:ParallelGCThreads=4 -XX:+UseConcMarkSweepGC -Xverify:none -XX:+TieredCompilation -XX:+UseBiasedLocking -XX:+UseStringCache -XX:SurvivorRatio=16 -XX:TargetSurvivor...
true
0f2152adb0cf463514234923f54d8d7ed0eda384
Shell
alezanlongo/blocknerds-webrtc-docker
/install.sh
UTF-8
1,445
3.578125
4
[]
no_license
#!/bin/bash echo "*** webrtc docker project installer ***\n\r" if [ -e keys/front-selfsigned.key ] || [ -e keys/front-selfsigned.crt ]; then read -p "cert file already exists. Do you want overwrite? (y/n)?" choice case "$choice" in y|Y ) KEYOP="y";; n|N ) KEYOP="n";; * ) echo "invalid";; esac fi if ! ...
true
3e6d3e003741a5f1b4c2387205fbf37a634af027
Shell
ajagnanan/openshift-nexus
/.openshift/action_hooks/build
UTF-8
491
2.609375
3
[]
no_license
#!/bin/bash # This is a simple build script and will be executed on your CI system if # available. Otherwise it will execute while your application is stopped # before the deploy step. This script gets executed directly, so it # could be python, php, ruby, etc. source ${OPENSHIFT_REPO_DIR}conf/app.conf cd ${OPENSHI...
true
c12c4b3bad1fffdb97960abd440c6beaf4215c35
Shell
opexception/bashStdLib
/lockFile.bash
UTF-8
3,249
4.5
4
[ "MIT" ]
permissive
#!/bin/bash FILE_TO_EDIT="$1" # Lock file in the /tmp directory, also remove and path to get only file name. LOCK_FILE="/tmp/${FILE_TO_EDIT##*/}.lck" # Get this process' PID MYPID=$$ # Clean up lock file on script exit tidy () { if [ -f ${LOCK_FILE} ] && [ "$(head -1 ${LOCK_FILE}| awk '{print $2}')" == ...
true
26de5a584c714830b0c7b66d51cfa2ff47c025f2
Shell
vienache/work
/config/githook-astyle.sh
UTF-8
609
3.90625
4
[]
no_license
#!/bin/bash # Installation: # cd .git/hooks # ln -s ../../githook-astyle.sh pre-commit OPTIONS_FILE="config/astyle-options" OPTIONS="--options=$OPTIONS_FILE" ASTYLE=$(which astyle) if [ $? -ne 0 ]; then echo "[ERROR] astyle not installed. Unable to check source file format policy." >&2 exit 1 fi if [ ! -f $OPT...
true
253742aa9090c231cf00dccbcb92012605646797
Shell
carry0987/Linux-Shell-180-Script
/08/110.sh
UTF-8
178
2.640625
3
[ "MIT" ]
permissive
#!/bin/bash tmp=`mktmp /tmp/dialog.XXX` def=text a="input the password" dialog --insecure --passwordbox "$a" 10 40 2>"tmp" pwd=$(cat $tmp) [ -z "$pwd" ] && pwd=$def rm "$tmp"
true
89d2aa138c8e8d92701a6891dbbb2e88edb3ef0d
Shell
bladecoder/blade-ink-template
/release.sh
UTF-8
2,137
3.625
4
[ "Apache-2.0" ]
permissive
#!/bin/bash set -e # The destination folder for the packaged application DIST_DIR=$HOME"/PACKAGES" # IOS signing IOS_SIGN_IDENTITY="iPhone Distribution" IOS_PROVISIONING_PROFILE=XXX # Android signing ANDROID_KEYSTORE=$HOME/Dropbox/docs/ids/rgarcia_android.keystore ANDROID_KEY_ALIAS=bladecoder PROJECT_NAME=`cat grad...
true
6b7ffd66c612709cc23ca191f7754fb27ff712c4
Shell
summerliu78/myShell
/shell/moni_online/mail-days.sh
UTF-8
2,339
3.28125
3
[]
no_license
#!/usr/bin/env bash source /etc/profile #一天前日期格式 ONE_DAYS_AGO_FORMAT=$(date -d '1 days ago' '+%Y-%m-%d') #now NOW_DATE_FORMAT=$(date '+%Y%m%d') #query每小时统计日志 QUERY_LOG_PATH="/server/moni/log/query-$ONE_DAYS_AGO_FORMAT.log" #queuetask每小时统计日志 QUEUE_TASK_LOG_PATH="/server/moni/log/queue-task-$ONE_DAYS_AGO_FORMAT.log" #昨天...
true
59b59ef26942907c5eae238eb60ffa3bce8cd3f2
Shell
PRETgroup/modular-code-generation
/travis/ghdl-install.sh
UTF-8
1,800
3.765625
4
[ "MIT" ]
permissive
#! /bin/bash # configure variables in the section below GHDL_BACKEND="mcode" GHDL_VERSION="0.35" PLATFORM="ubuntu14" GITHUB_SERVER="https://github.com" GITHUB_SLUG="ghdl/ghdl" TRAVIS_DIR="tmp" # assemble the GitHub URL GITHUB_TAGNAME="v$GHDL_VERSION" GITHUB_RELEASE_FILE="ghdl-$GHDL_VERSION-$GHDL_BACKEND-$PLATFORM....
true
07fcddbd05c9219bc77b501d1cf62843d2f2d7be
Shell
sri-arjuna/dev-scripts
/menu/prj/rpm/list
UTF-8
4,855
3.203125
3
[]
no_license
#!/bin/bash # ------------------------------------------------------------------------ # # Copyright (c) 2014-2015 by Simon Arjuna Erat (sea) <erat.simon@gmail.com> # All rights reserved. # # This program is free software: you can redistribute it and/or modify it # under the terms of the GNU Lesser General Public Lice...
true
bc5bb4190aa4c9c442f5e79c9ab174ada413ef9c
Shell
leonux/Rio
/bin/cybernode
UTF-8
274
3.21875
3
[ "Apache-2.0" ]
permissive
#!/bin/sh # # This script is a wrapper around the "rio" script, and provides the command # line instruction to start the Rio Cybernode scriptDir="`dirname $0`" if [ -z "$RIO_HOME" ]; then export RIO_HOME; RIO_HOME=$scriptDir/.. fi $RIO_HOME/bin/rio start cybernode $*
true
9c69e0a50cb1a1a4073a16b21ded509760f75278
Shell
ninefive/ops-lvs
/lvs-dr.sh
UTF-8
833
3.140625
3
[]
no_license
#!/bin/bash # lvs of dr VIP=172.16.0.10 RIP3=172.16.0.3 RIP4=172.16.0.4 # GW=172.16.0.1 . /etc/rc.d/init.d/functions case "$1" in start) echo "Start lvs of dr mode." # set vip address /usr/sbin/ifconfig eth0:0 $VIP broadcast $VIP netmask 255.255.255.255 up /usr/sbin/route add -host $VIP dev eth0:0 ...
true
2b820adaaedcbdfe7712b0614d93075cab2a6d3d
Shell
domonforyou/wsht
/wshtd
UTF-8
1,659
3.53125
4
[]
no_license
#!/bin/sh -e ### BEGIN INIT INFO # Provides: wshtd # Required-Start: $local_fs $remote_fs # Required-Stop: $local_fs $remote_fs # Should-Start: $syslog # Should-Stop: $syslog # Default-Start: 2 3 4 5 # Default-Stop: 0 1 6 # Short-Description: Start or stop the wshtd daemon. ### END I...
true
cf6500b7ca4f3f36afaf190a5fc450d1da87eb88
Shell
ms-iot/imx-edk2-platforms
/edk2-build.sh
UTF-8
908
2.96875
3
[ "GPL-1.0-or-later", "GPL-2.0-only", "LicenseRef-scancode-proprietary-license", "BSD-2-Clause", "GPL-2.0-or-later", "BSD-2-Clause-Patent", "LicenseRef-scancode-warranty-disclaimer", "LGPL-2.1-or-later", "LGPL-2.0-or-later", "OpenSSL", "MIT" ]
permissive
#!/bin/bash # Copyright (c) Microsoft Corporation. All rights reserved. # Setup edk2 workspace cd $WORKSPACE export PACKAGES_PATH=$PWD/edk2:$PWD/edk2-platforms export GCC5_ARM_PREFIX=arm-linux-gnueabihf- # Note: Path to cross compiler is hardcoded export PATH=/home/jenkins/gcc-linaro-6.4.1-2017.11-x86_64_arm-linux-gnu...
true
9dbd94f9f01f9a930a6eac00e8cd7d6d155f78e8
Shell
alxgmpr/easy-proxy
/lib/test.sh
UTF-8
954
3.15625
3
[ "MIT" ]
permissive
#!/bin/bash version="2010-12-30" format="json" # xml is also a valid option action="list-instances" base_url="https://cloudapi.atlantic.net/?" ACCESS_KEY="ATL391a8a0a3819af5ad6f69a9df4d67c95" private_key="64ebbe0da570561cd106064da41eef44b3c741ba" random_guid=$(uuidgen|tr '[:upper:]' '[:lower:]') echo "${random_guid}"...
true
92c13f5ce282fb67e9050de59e23c72359c06c88
Shell
gauteh/arch
/arduino/PKGBUILD
UTF-8
1,809
2.8125
3
[]
no_license
# Maintainer: PyroPeter <googlemail.com@abi1789> pkgname=arduino pkgver=0022 pkgrel=7 pkgdesc="Arduino SDK (includes patched avrdude and librxtx)" arch=('i686' 'x86_64') url="http://arduino.cc/en/Main/Software" license=('GPL') depends=('avr-libc' 'libusb-compat' 'java-runtime') install="arduino.install" source=("http:...
true
20517817137969a359a85a6aa8881cdf820e04c0
Shell
zzw1123/cub200
/data/download_cub200.sh
UTF-8
816
4.03125
4
[]
no_license
#!/bin/bash # Script to download CUB_200_2011 data set # Usage: ./download_cub200.sh [data_dir_name] set -e if [ -z "$1"]; then echo "Usage: ./download_cub200.sh [data-dir]" exit fi # Set data directory to script argument OUTDIR="${1:-./cub200-data}" echo "Saving downloaded files to $OUTDIR" mkdir -p "${OUT...
true